<template>
    <v-container class="homme">
        <v-row align="center" justify="center" class="pa-5">
            <v-flex>
                <h1 class="heading text-center">Your games</h1>
                <hr class="ma-4"/>

                <v-simple-table>
                    <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th class="text-center">Score</th>
                        <th class="text-center">Map</th>
                        <th class="text-center">Date</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr v-for="score in getScores" :key="score.id">
                        <td class="text-center">
                            <v-icon v-if="score.win" color="yellow">
                                mdi-bomb
                            </v-icon>
                            <v-icon v-else color="grey">
                                mdi-skull-outline
                            </v-icon>
                        </td>
                        <td class="text-center">{{ score.score }}</td>
                        <td class="text-center">{{ score.room }}</td>
                        <td class="text-center">{{ getDate(score.date) }}</td>
                    </tr>
                    </tbody>
                </v-simple-table>

            </v-flex>
        </v-row>
    </v-container>
</template>

<script>
    import moment from "moment";
    import Services from "../services/index";

    export default {
        name: 'yourGames',
        data: () => ({
            scores: []
        }),
        methods: {
            getDate: function (timestamp) {
                return moment(parseInt(timestamp)).format("YYYY/MM/DD");
            }
        },
        computed: {
            getScores: function () {
                return this.scores
            },
            getMyID: function () {
                return this.$store.getters.player.id
            }
        },
        async mounted() {
            Services.getGamesWithID(this.getMyID).then((data) => {
                this.scores = data.scores;
            })
        }
    }
</script>
<style scoped>
</style>
